# Contributing Guidelines

The Buildable Stick System is made available under the GPLv3 (or later) license. Contributions are welcome via pull
requests. This document outlines the process to get your contribution accepted.

## Sign Offs/Custody of Contributions

I do not request the copyright of contributions be assigned to me or to the project, and I require no provision that I
be allowed to relicense your contributions. My personal oath is to maintain inbound=outbound in my open source projects,
and the expectation is authors are responsible for their contributions.

I am following the the [Developer Certificate of Origin (DCO)](https://developercertificate.org/), also available at
`DCO.txt`. The DCO is a way for contributors to certify that they wrote or otherwise have the right to license their
code contributions to the project. Contributors must sign-off that they adhere to these requirements by adding a
`Signed-off-by` line to their commit message, and/or, for frequent contributors, by signing off on their entry in
`MAINTAINERS.md`.

This process is followed by a number of open source projects, most notably the Linux kernel. Here's the gist of it:

```
[Your normal Git commit message here.]

Signed-off-by: Random J Developer <random@developer.example.org>
```

`git help commit` has more info on adding this:

```
-s, --signoff
    Add Signed-off-by line by the committer at the end of the commit log
    message. The meaning of a signoff depends on the project, but it typically
    certifies that committer has the rights to submit this work under the same
    license and agrees to a Developer Certificate of Origin (see
    http://developercertificate.org/ for more information).
```
